import '@operato/i18n/ox-i18n.js';
import '@operato/i18n/ox-i18n-selector.js';
import './change-password';
import './delete-user-popup';
import './my-login-history';
import { LitElement } from 'lit';
declare const ProfileComponent_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare class ProfileComponent extends ProfileComponent_base {
    static styles: import("lit").CSSResult[];
    email?: string;
    name?: string;
    languages: {
        code: string;
        display: string;
    }[];
    nameEl: HTMLInputElement;
    localeEl: HTMLInputElement;
    firstUpdated(): Promise<void>;
    setCredential(credential: any): void;
    render(): import("lit-html").TemplateResult<1>;
    onNameChanged(name: any): Promise<void>;
    onLocaleChanged(value: any): Promise<void>;
    openLoginHistory(): void;
    deleteUser(): void;
}
export {};
